package org.openfx.sample.ndk1;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Toast;


public class AndroidNDK1SampleActivity extends Activity {
    private static final String DEBUG_TAG = "RSF-NDK1";
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    public void onCallNative1(View view) {
        // call to the native method
        helloLog("This will log to LogCat via the native call.");
        Context context = getApplicationContext();
        CharSequence text = "Native Call 1";
        int duration = Toast.LENGTH_SHORT;
        Toast toast = Toast.makeText(context, text, duration);
        toast.show();
    }
    
    public void onCallNative2(View view) {
        String result = getString(5,2);
        Log.v(DEBUG_TAG, "Result: new "+result);
        
        result = getString(105, 1232);
        Log.v(DEBUG_TAG, "Result2 new: "+result);
        Context context = getApplicationContext();
        CharSequence text = "Native Call 2";
        int duration = Toast.LENGTH_SHORT;
        Toast toast = Toast.makeText(context, text, duration);
        toast.show();
    }
    
    public void onCallNative3(View view) {
        // call to the native method
        Log.v(DEBUG_TAG, "Calling Setup new");
        setup();
        Log.v(DEBUG_TAG, "Setup called new");
        Context context = getApplicationContext();
        CharSequence text = "Native Call 3";
        int duration = Toast.LENGTH_SHORT;
        Toast toast = Toast.makeText(context, text, duration);
        toast.show();
       
    }

	public int onRSF(int i) {
		String d=String.format("%d",i);
		Log.v("RSF-C new", "Result:"+d);// c
        Context context = getApplicationContext();
        CharSequence text = "onRSF called";
        int duration = Toast.LENGTH_SHORT;
        Toast toast = Toast.makeText(context, text, duration);
        toast.show();
		
		return i+8;
    }
    
    
    private native void helloLog(String logThis);
    private native String getString(int value1, int value2);
    private native void setup();
    
    static {
        System.loadLibrary("ndk1");
    }
    
}


class CRsf2  {

	int onRSF(int i) {
		Log.v("RSF-CC", "Result: ");// c
		return i+8;
    }
    
}

